Skip to main content
Version: 3.5 Stable

Invite members

Invites members to a PhoenixAI Cloud account.

Request​

Basic Information
HTTP URLhttps://cloud-api.celerdata.com/api/1.0/invite-member
HTTP MethodPOST
Frequency600/minute

Request body​

ParameterExample valueRequiredTypeDescription
members[{ "lastName": "Doe", "firstName": "John", "email": "johndoe@email.com", "roles": ["12345678-1234-1234-1234-123456789012"] }]YesArrayAn array of Member objects to be invited. Each object contains lastName, firstName, email, and roles (optional). See Member object for more information.
defaultRoles["12345678-1234-1234-1234-123456789012"]NoArrayAn array of IDs representing the default roles assigned to all invited members. You can obtain role IDs using the API role-list. This parameter will not take effect on the Member objects that have specified the roles parameter. The system-defined role Public is compulsorily assigned to all members regardless of whether its ID is specified.

Member object​

ParameterExample valueRequiredTypeDescription
firstName"Doe"YesStringThe last name of the member.
lastName"John"YesStringThe first name of the member.
email"johndoe@email.com"YesStringThe email address of the member.
roles["12345678-1234-1234-1234-123456789012"]NoArrayAn array of IDs representing the roles assigned to the member. You can obtain role IDs using the API role-list.

Header parameters​

ParameterExample valueRequiredTypeDescription
AuthorizationBearer OGQ5MDA4MZGTNJMWNS0ZY2Y2LWFJNZYTOTBINMZIYTGZZDUYYesStringThe access token used to access the PhoenixAI Cloud API. Format: Bearer <access_token>.

See Obtain access token.

Response​

Sample response​

{
"successes": [
{
"email": "success@email.com",
"bizID": "qwertyui-2db1-4d01-a045-936da932bc59"
}
],
"failures": [
{
"email": "failed@email.com",
"msg": "member exist"
}
]
}

Response elements​

ParameterExample valueTypeDescription
successes-ArrayAn array of objects representing successfully invited members. Each object contains email and bizID.
successes[0]-ObjectThe details of a successfully invited member.
successes[0].email"success@email.com"StringThe email address of the invited member.
successes[0].bizID"qwertyui-2db1-4d01-a045-936da932bc59"StringThe business ID assigned to the successfully invited member.
failures-ArrayAn array of objects representing members that failed to be invited. Each object contains email and msg.
failures[0]-ObjectThe details of a member failed to be invited.
failures[0].email"failed@email.com"StringThe email address of the member failed to be invited.
failures[0].msg"member exist"StringThe reason that the invitation failed, for example, member exist, or role doesn't exist.